import React from 'react';
import { Direction } from './components/Root';
export interface Datum {
    id: number | string;
    title: string;
    level: number | string | null;
    parent_id: number | string | null;
    keywords?: string[];
    always_show?: boolean;
}
export interface Level {
    level: Datum['level'];
    data: Datum[];
}
interface Props {
    data: Datum[];
    topLevelTitle?: string;
    onSelect?: (value: Datum | null) => void;
    onHover?: (value: Datum | null) => void;
    onTraverseLevel?: (value: Datum, direction: Direction) => void;
    selectedValue?: Datum | null;
    disallowSelectionLevels?: Level['level'][];
    defaultPlaceholderText?: string;
    showCount?: boolean;
    resultsIdentation?: number;
    neverEmpty?: boolean;
    maxResults?: number;
    focusOnRender?: boolean;
    noResultsFoundFormatter?: (value: string) => string;
    matchingKeywordFormatter?: (matched: string[], rest: string[], query: string) => React.ReactNode;
    onClose?: () => void;
}
declare const PanelSearch: (props: Props) => JSX.Element | null;
export default PanelSearch;
